Bug 89231 - UI: error displaying GtkSpinButton for percentages in German language--e.g. Scaling (Skalierung) and Transparency (Transparenz)
Summary: UI: error displaying GtkSpinButton for percentages in German language--e.g. S...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-08 15:56 UTC by Steffen
Modified: 2016-10-25 19:24 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
wrong appearance of percentages in german language (99.43 KB, image/png)
2015-02-08 15:56 UTC, Steffen
Details
right appearance of percentages in english language (85.85 KB, image/png)
2015-02-08 15:57 UTC, Steffen
Details
screenshot with master sources updated yesterday (96.69 KB, image/png)
2015-02-08 16:10 UTC, Julien Nabet
Details
fc-list ubuntu 14.04 64bit (23.75 KB, application/x-gzip)
2015-02-09 16:01 UTC, Steffen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen 2015-02-08 15:56:30 UTC
Created attachment 113229 [details]
wrong appearance of percentages in german language

Affecting LO > 4.2.x
operating system: Ubuntu 14.04 64 bit

Menu Options --> LibreOffice --> View
In german appears a rectangle between the number and the percent sign. See attachement 'LO_language_bug_german.png'
In english it's alright. See attachment 'LO_no_language_bug_english.png'
Comment 1 Steffen 2015-02-08 15:57:24 UTC
Created attachment 113230 [details]
right appearance of percentages in english language
Comment 2 Julien Nabet 2015-02-08 16:10:49 UTC
Created attachment 113231 [details]
screenshot with master sources updated yesterday

percentages are ok on the screenshot but all texts don't appear completely.
OpenGl parts are in English.
Comment 3 Steffen 2015-02-08 16:20:24 UTC
(In reply to Julien Nabet from comment #2)
> percentages are ok on the screenshot but all texts don't appear completely.
> OpenGl parts are in English.

OpenGl just existing in LO > 4.3. Problem with percentages existing in LO 4.3.5.2 (installed by ppa.launchpad.net/libreoffice/libreoffice-4-3/ubuntu trusty main) and 4.4.0.3 (installed by ppa.launchpad.net/libreoffice/libreoffice-4-4/ubuntu trusty main)
Comment 4 V Stuart Foote 2015-02-08 16:33:24 UTC
(In reply to Julien Nabet from comment #2)
> percentages are ok on the screenshot...

No, there does seem to be an issue with insertion of a nonprinting character (or space) between the number and percent sign in dropdowns for non en-US formatting. It shows as a blank in Steffen's, but not in Julien's screen shots. It is not present in en-US builds. 

> ... but all texts don't appear completely.

Bug 87876 is causing an issue with the dialog.

> OpenGl parts are in English.

That is probably an i18n/l10n translation omission.
Comment 5 V Stuart Foote 2015-02-08 16:41:19 UTC
(In reply to V Stuart Foote from comment #4)
Not dropdowns, they are SpinButtons in the .UI

s/dropdowns/GtkSpinButtons/


=-ref-=
http://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/optviewpage.ui
Comment 6 Julien Nabet 2015-02-08 17:16:25 UTC
Caolan/Chris: one for you?
Comment 7 Caolán McNamara 2015-02-09 09:18:15 UTC
That's a "NARROW NO-BREAK SPACE" 0x202F. So presumably your font doesn't have that glyph, and either glyph substitution isn't working or there is no font anywhere on your system which has that glyph.

So, what's the output of:
gsettings get org.gnome.desktop.interface font-name
and
fc-list
Comment 8 Steffen 2015-02-09 16:01:47 UTC
Created attachment 113261 [details]
fc-list ubuntu 14.04 64bit
Comment 9 Steffen 2015-02-09 16:03:04 UTC
> So, what's the output of:
> gsettings get org.gnome.desktop.interface font-name

'Ubuntu 11'

> and
> fc-list

see attachement 'fc-list ubuntu 14.04 64bit'
Comment 10 Commit Notification 2015-05-26 14:46:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f76ecc3e9ce51b35fc18db55b808270079a3652b

Resolves: tdf#89231 if no font has 0x202F fallback to a normal space

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-05-26 14:48:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ade3f2e4a1a22b5ab412c220db223c996473d7ef&h=libreoffice-5-0

Resolves: tdf#89231 if no font has 0x202F fallback to a normal space

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-05-27 09:33:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6feb828757477669325ebd8bc4491b7e4d1283dc&h=libreoffice-4-4

Resolves: tdf#89231 if no font has 0x202F fallback to a normal space

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-08-01 19:54:55 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e43f5d3222ca320e28026bfef4b6096376446c1

Move fix for tdf#89231  to a better place

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.